/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef CHRE_UTIL_NANOAPP_MATH_H_
#define CHRE_UTIL_NANOAPP_MATH_H_

/**
 * @file Helper math functions and constants for nanoapps to use and share.
 *
 * This file is C99 compatible to ensure compatibility with the most nanoapps.
 */

//! The constant pi in single-precision floating point format.
#define CHRE_PI_F (3.14159265358979f)

#endif  // CHRE_UTIL_NANOAPP_MATH_H_
